# HG changeset patch
# User Declan Rieb <wd5eqy@arrl.net>
# Date 1539127454 21600
#      Tue Oct 09 17:24:14 2018 -0600
# Node ID f3ed3374959ef6d411bd599a81da4a496480da19
# Parent  485c824c77260eb50c34c93866fd82ac058ba65f
[ft2d, ft1d] Fix Yaesu FT2D DTMF memory access. Fixes #6149

DTMF memories are at 0x094a in FT2D.  FT-1D has data at 0x0e4a.
I have only minimally tested the FT-1D, but there should be no difference.
#6149

diff --git a/chirp/drivers/ft1d.py b/chirp/drivers/ft1d.py
--- a/chirp/drivers/ft1d.py
+++ b/chirp/drivers/ft1d.py
@@ -122,7 +122,7 @@
   } message;
 } opening_message;

-#seekto 0x0e4a;
+#seekto 0x%04X; // FT-1D:0e4a, FT2D:094a
 struct {
   u8 memory[16];
 } dtmf[10];
@@ -562,7 +562,8 @@
     _memsize = 130507
     _block_lengths = [10, 130497]
     _block_size = 32
-    _mem_params = (900,            # size of memories array
+    _mem_params = (0xe4a,          # location of DTMF storage
+                   900,            # size of memories array
                    900,            # size of flags array
                    0xFECA,         # APRS beacon metadata address.
                    60,             # Number of beacons stored.
diff --git a/chirp/drivers/ft2d.py b/chirp/drivers/ft2d.py
--- a/chirp/drivers/ft2d.py
+++ b/chirp/drivers/ft2d.py
@@ -69,7 +69,8 @@

     _model = "AH60M" # Get this from chirp .img file after saving once
     _has_vibrate = True
-    _mem_params = (999,            # size of memories array
+    _mem_params = (0x94a,         # Location of DTMF storage
+                   999,            # size of memories array
                    999,            # size of flags array
                    0xFECA,         # APRS beacon metadata address.
                    60,             # Number of beacons stored.


